<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>FlexBox: align-items</title>
	<link href="https://fonts.googleapis.com/css2?family=Roboto:wght@400;500;700&display=swap" rel="stylesheet">
</head>
<style>
	body {
		margin: 0;
		font-size: 16px;
		font-family: 'Roboto', sans-serif;
	}
	img { max-width: 100% }
	a { text-decoration: none; }
	p { padding: 0; margin: 0; }
	html { box-sizing: border-box; }
	*,*:before,*:after { box-sizing: inherit; }

	.g-content { max-width: 1200px; width: 100%; margin: 0 auto; }


	.example {
		display: flex;
		border: 1px solid #000;
	}

	.example div {
		padding: 10px;
	}

	.example_13 { height: 260px; align-items: flex-start; }
	.example_14 { height: 260px; align-items: center; }
	.example_15 { height: 260px; align-items: flex-end; }
	.example_16 { height: 260px; align-items: baseline; }

	.example_16 div:nth-child(1) { display: flex; align-items: center; height: 100px; }
	.example_16 div:nth-child(2) { display: flex; align-items: center; height: 150px; }
	.example_16 div:nth-child(3) { display: flex; align-items: center; height: 260px; }

</style>
	<body>
		<div class="g-content">

			<h3>
				align-items: flex-start;
			</h3>
			<div class="example example_13">
				<div style="background-color: #FFEDBB">Блок 1</div>
				<div style="background-color: #B4DEB6">Блок 2</div>
				<div style="background-color: #8EC4E6">Блок 3</div>
			</div>
			<h3>
				align-items: center;
			</h3>
			<div class="example example_14">
				<div style="background-color: #FFEDBB">Блок 1</div>
				<div style="background-color: #B4DEB6">Блок 2</div>
				<div style="background-color: #8EC4E6">Блок 3</div>
			</div>
			<h3>
				align-items: flex-end;
			</h3>
			<div class="example example_15">
				<div style="background-color: #FFEDBB">Блок 1</div>
				<div style="background-color: #B4DEB6">Блок 2</div>
				<div style="background-color: #8EC4E6">Блок 3</div>
			</div>
			<h3>
				align-items: baseline;
			</h3>
			<div class="example example_16">
				<div style="background-color: #FFEDBB">Блок 1</div>
				<div style="background-color: #B4DEB6">Блок 2</div>
				<div style="background-color: #8EC4E6">Блок 3</div>
			</div>

		</div>
	</body>
</html>